# class toResultFilter | Baseclass for filters to apply to the toResultView to filter out rows that you don't want to add as items to the list. More...
Contains pure virtuals
Definition | `#include <toresultview.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultFilter ()
- virtual ~toResultFilter ()
- virtual bool check (const QListViewItem *item)
- virtual toResultFilter * clone (void)

## Detailed Description

Baseclass for filters to apply to the toResultView to filter out rows that you don't want to add as items to the list.

toResultFilter () | ### toResultFilter

~toResultFilter () | ### ~toResultFilter

[virtual]

bool check (const QListViewItem *item) | ### check

[pure virtual]

This function can inspect the item to be added and decide if it is valid for adding or not.

Parameters:

item | Item to inspect.

Returns: If false is returned the item isn't added.

toResultFilter * clone (void) | ### clone

[pure virtual]

Create a copy of this filter.

Returns: A newly created copy of this filter.